%define upstream_name    Catalyst-Controller-ActionRole
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Apply roles to action instances
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(namespace::clean)
BuildArch: noarch

%{?perl_default_filter}

%description
This module allows to apply roles to the 'Catalyst::Action's for different
controller methods.

For that a 'Does' attribute is provided. That attribute takes an argument,
that determines the role, which is going to be applied. If that argument is
prefixed with '+', it is assumed to be the full name of the role. If it's
prefixed with '~', the name of your application followed by
'::ActionRole::' is prepended. If it isn't prefixed with '+' or '~', the
role name will be searched for in '@INC' according to the rules for /ROLE
PREFIX SEARCHING.

Additionally it's possible to to apply roles to *all* actions of a
controller without specifying the 'Does' keyword in every action
definition:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1022851
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 967092
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 848110
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 746007
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.160.0-3.mga5
+ Revision: 732862
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 623904
- update to 0.16

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 509680
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 363881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 40246
- mageia rebuild
- imported package perl-Catalyst-Controller-ActionRole

